Subject: bug#48629: 28.0.50; GUI emacsclient frames stop accepting keyboard input around recv

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 03 Jun 2021 14:18:40 +0100

"Basil L. Contovounesios" <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: "Basil L. Contovounesios" <[email-masked]>
>>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>>> Date: Wed, 26 May 2021 16:58:17 +0100
>>> 
>> Then step through the code and see what it does and why it doesn't
>> respond to keyboard input.
>
> I guess I need debugging symbols for this, because at this point
> step/next progressively and slowly climb frames, without any indication
> of the surrounding code or values (GDB maintains that it's in pselect.c
> the whole time).

I'm now running with '-Og -ggdb'.  I didn't have time to investigate
further the last two times the freeze happened, but I did save the
attached output of 'thread apply all bt full' for posterity.

-- 
Basil